Status: In Progress Start date: 18 Oct 2022

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.30 hour

Description

Since C++11 attributes are available.

These can be used to suppress compiler warnings, or give hints about likelihood

of a condition being false/true.

A list of standard attributes can be found at:

https://en.cppreference.com/w/cpp/language/attributes

Related issues:

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 18 Oct 2022 20:57 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#2 - 16 Mar 2023 19:49 - John Abbott

Let me clarify.  I think we should try to avoid warnings by rectifying the code.

If we are sure the code is correct, but the compiler still issues warnings then

we can resort to using attributes to try to suppress the warnings.

An example could be a variable whose value is used only when debugging is active.

It is in principle possible to suppress the variable using #if CoCoA_DEBUG_MODE

this is cumbersome, and could easily make the code harder to read.

I would like to reduce the number of warnings.  One easy way is to complete the

implementation of some functions which have an unused "CheckForTimeout" parameter.

#3 - 15 Feb 2024 22:39 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900

#4 - 22 Apr 2024 21:26 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

We should try to reduce the number of warnings (esp. when compiling in "debug" mode).

Then we can consider attributes...
